import * as React from 'react';
import { useQuery } from '@tanstack/react-query';
import { ReactQueryDevtools } from '@tanstack/react-query-devtools';

interface ReactQueryContainerProps {
    children: React.ReactNode;
    result: ReturnType<typeof useQuery> | Array<ReturnType<typeof useQuery>>;
    loadingColor?: string;
}
declare const ReactQueryContainer: React.FC<ReactQueryContainerProps>;

interface ReactQueryClientProviderProps {
    children: React.ReactNode;
    position?: Parameters<typeof ReactQueryDevtools>['0']['position'];
}
declare const ReactQueryClientProvider: React.FC<ReactQueryClientProviderProps>;

interface ITimeRef {
    timer: any;
    span: number;
    mouseEnter: boolean;
}
declare const useObserverData: (queryKey: Array<string | number>, setData: React.Dispatch<React.SetStateAction<any>>) => void;
declare const useScroll: (timeRef: React.RefObject<ITimeRef>, containerRef: React.RefObject<HTMLDivElement>) => void;

type index_ITimeRef = ITimeRef;
declare const index_useObserverData: typeof useObserverData;
declare const index_useScroll: typeof useScroll;
declare namespace index {
  export { type index_ITimeRef as ITimeRef, index_useObserverData as useObserverData, index_useScroll as useScroll };
}

export { ReactQueryClientProvider, ReactQueryContainer, index as ReactQueryHooks };
